package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="运力和承运商中间表")
public class RmsCapacityCarrier implements IBasePO<BigDecimal> {
    /**
     * 运力和承运商中间表主键(CAPACITY_CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="运力和承运商中间表主键",required=true)
    private BigDecimal capacityCarrierId;

    /**
     * 运力ID(CAPACITY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="运力ID",required=false)
    private BigDecimal capacityId;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除0：未删除；1：已删除(DELETED,DECIMAL,38)
     */
    @ApiModelProperty(value="逻辑删除0：未删除；1：已删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.capacityCarrierId;
    }

    @Override
    public void setId(BigDecimal capacityCarrierId) {
        this.capacityCarrierId = capacityCarrierId;
    }

    public BigDecimal getCapacityCarrierId() {
        return capacityCarrierId;
    }

    public void setCapacityCarrierId(BigDecimal capacityCarrierId) {
        this.capacityCarrierId = capacityCarrierId;
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", capacityCarrierId=").append(capacityCarrierId);
        sb.append(", capacityId=").append(capacityId);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}